<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>LocalConfiguration (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LocalConfiguration (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/worldedit/InvalidItemException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/worldedit/LocalConfiguration.html" target="_top">Frames</a></li>
<li><a href="LocalConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit</div>
<h2 title="Class LocalConfiguration" class="title">Class LocalConfiguration</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.LocalConfiguration</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../com/sk89q/worldedit/util/PropertiesConfiguration.html" title="class in com.sk89q.worldedit.util">PropertiesConfiguration</a>, <a href="../../../com/sk89q/worldedit/util/YAMLConfiguration.html" title="class in com.sk89q.worldedit.util">YAMLConfiguration</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">LocalConfiguration</span>
extends java.lang.Object</pre>
<div class="block">Represents WorldEdit's configuration.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#allowedDataCycleBlocks">allowedDataCycleBlocks</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#allowSymlinks">allowSymlinks</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#butcherDefaultRadius">butcherDefaultRadius</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#butcherMaxRadius">butcherMaxRadius</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#calculationTimeout">calculationTimeout</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#defaultChangeLimit">defaultChangeLimit</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#defaultMaxPolygonalPoints">defaultMaxPolygonalPoints</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#defaultMaxPolyhedronPoints">defaultMaxPolyhedronPoints</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#disallowedBlocks">disallowedBlocks</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#logCommands">logCommands</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#logFile">logFile</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#logFormat">logFormat</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#maxBrushRadius">maxBrushRadius</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#maxCalculationTimeout">maxCalculationTimeout</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#maxChangeLimit">maxChangeLimit</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#maxPolygonalPoints">maxPolygonalPoints</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#maxPolyhedronPoints">maxPolyhedronPoints</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#maxRadius">maxRadius</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#maxSuperPickaxeSize">maxSuperPickaxeSize</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#navigationUseGlass">navigationUseGlass</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#navigationWand">navigationWand</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#navigationWandMaxDistance">navigationWandMaxDistance</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#profile">profile</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#registerHelp">registerHelp</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#saveDir">saveDir</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#scriptsDir">scriptsDir</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#scriptTimeout">scriptTimeout</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#serverSideCUI">serverSideCUI</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#shellSaveType">shellSaveType</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#showHelpInfo">showHelpInfo</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html" title="class in com.sk89q.worldedit.world.snapshot">SnapshotRepository</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#snapshotRepo">snapshotRepo</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#superPickaxeDrop">superPickaxeDrop</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#superPickaxeManyDrop">superPickaxeManyDrop</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#traceUnflushedSessions">traceUnflushedSessions</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#useInventory">useInventory</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#useInventoryCreativeOverride">useInventoryCreativeOverride</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#useInventoryOverride">useInventoryOverride</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#wandItem">wandItem</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#LocalConfiguration--">LocalConfiguration</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#convertLegacyItem-java.lang.String-">convertLegacyItem</a></span>(java.lang.String&nbsp;legacy)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#getDefaultDisallowedBlocks--">getDefaultDisallowedBlocks</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.io.File</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#getWorkingDirectory--">getWorkingDirectory</a></span>()</code>
<div class="block">Get the working directory to work from.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html#load--">load</a></span>()</code>
<div class="block">Load the configuration.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="profile">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>profile</h4>
<pre>public&nbsp;boolean profile</pre>
</li>
</ul>
<a name="traceUnflushedSessions">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>traceUnflushedSessions</h4>
<pre>public&nbsp;boolean traceUnflushedSessions</pre>
</li>
</ul>
<a name="disallowedBlocks">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>disallowedBlocks</h4>
<pre>public&nbsp;java.util.Set&lt;java.lang.String&gt; disallowedBlocks</pre>
</li>
</ul>
<a name="defaultChangeLimit">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>defaultChangeLimit</h4>
<pre>public&nbsp;int defaultChangeLimit</pre>
</li>
</ul>
<a name="maxChangeLimit">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxChangeLimit</h4>
<pre>public&nbsp;int maxChangeLimit</pre>
</li>
</ul>
<a name="defaultMaxPolygonalPoints">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>defaultMaxPolygonalPoints</h4>
<pre>public&nbsp;int defaultMaxPolygonalPoints</pre>
</li>
</ul>
<a name="maxPolygonalPoints">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxPolygonalPoints</h4>
<pre>public&nbsp;int maxPolygonalPoints</pre>
</li>
</ul>
<a name="defaultMaxPolyhedronPoints">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>defaultMaxPolyhedronPoints</h4>
<pre>public&nbsp;int defaultMaxPolyhedronPoints</pre>
</li>
</ul>
<a name="maxPolyhedronPoints">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxPolyhedronPoints</h4>
<pre>public&nbsp;int maxPolyhedronPoints</pre>
</li>
</ul>
<a name="shellSaveType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shellSaveType</h4>
<pre>public&nbsp;java.lang.String shellSaveType</pre>
</li>
</ul>
<a name="snapshotRepo">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>snapshotRepo</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html" title="class in com.sk89q.worldedit.world.snapshot">SnapshotRepository</a> snapshotRepo</pre>
</li>
</ul>
<a name="maxRadius">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxRadius</h4>
<pre>public&nbsp;int maxRadius</pre>
</li>
</ul>
<a name="maxSuperPickaxeSize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxSuperPickaxeSize</h4>
<pre>public&nbsp;int maxSuperPickaxeSize</pre>
</li>
</ul>
<a name="maxBrushRadius">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxBrushRadius</h4>
<pre>public&nbsp;int maxBrushRadius</pre>
</li>
</ul>
<a name="logCommands">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>logCommands</h4>
<pre>public&nbsp;boolean logCommands</pre>
</li>
</ul>
<a name="logFile">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>logFile</h4>
<pre>public&nbsp;java.lang.String logFile</pre>
</li>
</ul>
<a name="logFormat">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>logFormat</h4>
<pre>public&nbsp;java.lang.String logFormat</pre>
</li>
</ul>
<a name="registerHelp">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerHelp</h4>
<pre>public&nbsp;boolean registerHelp</pre>
</li>
</ul>
<a name="wandItem">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>wandItem</h4>
<pre>public&nbsp;java.lang.String wandItem</pre>
</li>
</ul>
<a name="superPickaxeDrop">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>superPickaxeDrop</h4>
<pre>public&nbsp;boolean superPickaxeDrop</pre>
</li>
</ul>
<a name="superPickaxeManyDrop">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>superPickaxeManyDrop</h4>
<pre>public&nbsp;boolean superPickaxeManyDrop</pre>
</li>
</ul>
<a name="useInventory">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useInventory</h4>
<pre>public&nbsp;boolean useInventory</pre>
</li>
</ul>
<a name="useInventoryOverride">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useInventoryOverride</h4>
<pre>public&nbsp;boolean useInventoryOverride</pre>
</li>
</ul>
<a name="useInventoryCreativeOverride">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useInventoryCreativeOverride</h4>
<pre>public&nbsp;boolean useInventoryCreativeOverride</pre>
</li>
</ul>
<a name="navigationUseGlass">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>navigationUseGlass</h4>
<pre>public&nbsp;boolean navigationUseGlass</pre>
</li>
</ul>
<a name="navigationWand">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>navigationWand</h4>
<pre>public&nbsp;java.lang.String navigationWand</pre>
</li>
</ul>
<a name="navigationWandMaxDistance">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>navigationWandMaxDistance</h4>
<pre>public&nbsp;int navigationWandMaxDistance</pre>
</li>
</ul>
<a name="scriptTimeout">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scriptTimeout</h4>
<pre>public&nbsp;int scriptTimeout</pre>
</li>
</ul>
<a name="calculationTimeout">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculationTimeout</h4>
<pre>public&nbsp;int calculationTimeout</pre>
</li>
</ul>
<a name="maxCalculationTimeout">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxCalculationTimeout</h4>
<pre>public&nbsp;int maxCalculationTimeout</pre>
</li>
</ul>
<a name="allowedDataCycleBlocks">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allowedDataCycleBlocks</h4>
<pre>public&nbsp;java.util.Set&lt;java.lang.String&gt; allowedDataCycleBlocks</pre>
</li>
</ul>
<a name="saveDir">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveDir</h4>
<pre>public&nbsp;java.lang.String saveDir</pre>
</li>
</ul>
<a name="scriptsDir">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scriptsDir</h4>
<pre>public&nbsp;java.lang.String scriptsDir</pre>
</li>
</ul>
<a name="showHelpInfo">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showHelpInfo</h4>
<pre>public&nbsp;boolean showHelpInfo</pre>
</li>
</ul>
<a name="butcherDefaultRadius">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>butcherDefaultRadius</h4>
<pre>public&nbsp;int butcherDefaultRadius</pre>
</li>
</ul>
<a name="butcherMaxRadius">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>butcherMaxRadius</h4>
<pre>public&nbsp;int butcherMaxRadius</pre>
</li>
</ul>
<a name="allowSymlinks">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allowSymlinks</h4>
<pre>public&nbsp;boolean allowSymlinks</pre>
</li>
</ul>
<a name="serverSideCUI">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>serverSideCUI</h4>
<pre>public&nbsp;boolean serverSideCUI</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LocalConfiguration--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LocalConfiguration</h4>
<pre>public&nbsp;LocalConfiguration()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDefaultDisallowedBlocks--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultDisallowedBlocks</h4>
<pre>protected&nbsp;java.lang.String[]&nbsp;getDefaultDisallowedBlocks()</pre>
</li>
</ul>
<a name="load--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>load</h4>
<pre>public abstract&nbsp;void&nbsp;load()</pre>
<div class="block">Load the configuration.</div>
</li>
</ul>
<a name="getWorkingDirectory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWorkingDirectory</h4>
<pre>public&nbsp;java.io.File&nbsp;getWorkingDirectory()</pre>
<div class="block">Get the working directory to work from.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a working directory</dd>
</dl>
</li>
</ul>
<a name="convertLegacyItem-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>convertLegacyItem</h4>
<pre>public&nbsp;java.lang.String&nbsp;convertLegacyItem(java.lang.String&nbsp;legacy)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/worldedit/InvalidItemException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/worldedit/LocalConfiguration.html" target="_top">Frames</a></li>
<li><a href="LocalConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
